package com.trade.service.contract.util.esign.entity;

import java.io.Serializable;

/**
 * @Description: e签宝：合同签署位置信息实体
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:Sep 10, 2019 5:15:21 PM
 */
public class ESignDocPosition implements Serializable {

    private static final long serialVersionUID = 1L;
    // 页码信息
    private String posPage;
    // x坐标，默认空
    private Float posX;
    // y坐标
    private Float posY;
    // 签署区宽，默认印章宽度
    private Float width;
    // 签章日期，默认跟随在印章底部，默认false。
    private Boolean addSignTime;
    // 签章日期格式
    private String signTimeFormat;

    public ESignDocPosition(String posPage, Float posX, Float posY, Float width, Boolean addSignTime){
        this.posPage = posPage;
        this.posX = posX;
        this.posY = posY;
        this.width = width;
        this.addSignTime = addSignTime;
    }

    public ESignDocPosition(String posPage, Float posX, Float posY){
        this.posPage = posPage;
        this.posX = posX;
        this.posY = posY;
    }

    public ESignDocPosition(){
    }

    public String getPosPage() {
        return posPage;
    }

    public void setPosPage(String posPage) {
        this.posPage = posPage;
    }

    public Float getPosX() {
        return posX;
    }

    public void setPosX(Float posX) {
        this.posX = posX;
    }

    public Float getPosY() {
        return posY;
    }

    public void setPosY(Float posY) {
        this.posY = posY;
    }

    public Float getWidth() {
        return width;
    }

    public void setWidth(Float width) {
        this.width = width;
    }

    public Boolean getAddSignTime() {
        return addSignTime;
    }

    public void setAddSignTime(Boolean addSignTime) {
        this.addSignTime = addSignTime;
    }

    public String getSignTimeFormat() {
        return signTimeFormat;
    }

    public void setSignTimeFormat(String signTimeFormat) {
        this.signTimeFormat = signTimeFormat;
    }
}
